/*
 * Copyright � 2005 Sun Microsystems Inc. All rights reserved. Use is subject to license terms.
 *  
 */
/*
 * Created on Apr 11, 2005
 *
 */
package com.sunlabs.archsim.fleet.ships.testing;

import com.sunlabs.archsim.base.simulation.Delay;

/**
 * @author ib27688
 *
 */
public class TestingDefaults {

	/** never make an instance of this class */
	private TestingDefaults() {}
	

	public static boolean sourceDisplayGenerated= true;
	public static boolean sinkDisplayReceived= true;
	
	public static final Delay ACTION_DELAY= new Delay(100);
	
	public static final Delay DEFAULT_FUNCTION_DELAY= new Delay(170);
        
	/* delay needed to change the state of a TriggerAction to enabled or disabled */
        public static final Delay DEFAULT_TRIGGER_DELAY= new Delay(10);
	
	public static boolean LOG_SHIP_SOURCE= false;
	public static boolean LOG_SHIP_SINK= true;
	public static boolean LOG_INSTRUCTION_SOURCE= false;
	public static boolean LOG_TRUNK= false;
		
	
	public static final String IN= "In";
	public static final String ACK_IN= "ackIn";
	
	public static final String OUT= "Out";
	public static final String ACK_OUT= "ackOut";	
	
	public static final String DATA_STATE= "dataState";
	public static final String ACK_STATE= "ackState";
	
	public static final String BRANCH_ACTION= "branchAction";
	public static final String BRANCH= "branch";	
	
	public static final String SRC_SYNC= "SrcSync";
	public static final String MERGE= "merge";
	
	public static final String SRC_IN= "SrcIn";
	public static final String ACK_SRC_IN= "ackSrcIn";

	public static final String SINK= "sink";
	public static final String SOURCE= "source";
		
	public static final String DELIMITER= "_";
	
	public static final String SOURCE_DISPLAY_GENERATED= "testSourceDisplayGenerated";
	public static final boolean SOURCE_DISPLAY_GENERATED_DEF= false;
	
	public static final String SINK_DISPLAY_GENERATED= "testSinkDisplayGenerated";
	public static final boolean SINK_DISPLAY_GENERATED_DEF= false;
	

		
} // TestingDefaults
